GlueGen: com.jogamp.gluegen.cgram.types.StructLayout Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
com.jogamp.gluegen.cgram.types.StructLayout Class Reference

Encapsulates algorithm for laying out data structures. More...

Collaboration diagram for com.jogamp.gluegen.cgram.types.StructLayout:

## Public Member Functions

void | layout (final CompoundType t)

## Static Public Member Functions

static StructLayout | create (final int baseOffset)
static void | layout (final int baseOffset, final CompoundType t)

## Protected Member Functions

| StructLayout (final int baseOffset)

## Detailed Description

Encapsulates algorithm for laying out data structures.

Note that this ends up embedding code in various places via SizeThunks. If the 32-bit and 64-bit ports on a given platform differ fundamentally in their handling of struct layout then this code will need to be updated and, most likely, two versions of the SizeThunks maintained in various places.

Definition at line 53 of file StructLayout.java.

## Constructor & Destructor Documentation

## ◆ StructLayout()

com.jogamp.gluegen.cgram.types.StructLayout.StructLayout | ( | final int | baseOffset | ) |

protected

Definition at line 56 of file StructLayout.java.

Here is the caller graph for this function:

## Member Function Documentation

## ◆ create()

static StructLayout com.jogamp.gluegen.cgram.types.StructLayout.create | ( | final int | baseOffset | ) |

static

Definition at line 147 of file StructLayout.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ layout() [1/2]

void com.jogamp.gluegen.cgram.types.StructLayout.layout | ( | final CompoundType | t | ) |

Definition at line 60 of file StructLayout.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ layout() [2/2]

static void com.jogamp.gluegen.cgram.types.StructLayout.layout | ( | final int | baseOffset,
|  | final CompoundType | t
| ) |  |

static

Definition at line 151 of file StructLayout.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/StructLayout.java